import request from '@/utils/request'

// 查询维修工单列表
export function listRepairOrder(query) {
  return request({
    url: '/gxt/repairOrder/list',
    method: 'get',
    params: query
  })
}

// 查询维修工单详细
export function getRepairOrder(id) {
  return request({
    url: '/gxt/repairOrder/' + id,
    method: 'get'
  })
}

// 新增维修工单
export function addRepairOrder(data) {
  return request({
    url: '/gxt/repairOrder',
    method: 'post',
    data: data
  })
}

// 修改维修工单
export function updateRepairOrder(data) {
  return request({
    url: '/gxt/repairOrder',
    method: 'put',
    data: data
  })
}

// 删除维修工单
export function delRepairOrder(id) {
  return request({
    url: '/gxt/repairOrder/' + id,
    method: 'delete'
  })
}
